%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 0.01-0
%define fname aspell5-%{languagecode}
%define aspell_ver 0.60
%define languageenglazy Nyanja
%define languagecode ny
# FIXME: no locale yet
%define lc_ctype ny_

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.01.0
Release:       %mkrel 10
Group:         System/Internationalization
Source:        http://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/%{fname}-%{src_ver}.tar.bz2
URL:		   http://aspell.net/
License:	   GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Provides: spell-%{languagecode}

BuildRequires: aspell >= %{aspell_ver}
BuildRequires: make
Requires:      aspell >= %{aspell_ver}

# Mageia Stuff
# no locales-ny available yet.
#Requires:      locales-%{languagecode}
# aspell = 1, myspell = 2, lang-specific = 3
Provides:      enchant-dictionary = 1
Provides:      aspell-dictionary
Provides:      aspell-%{lc_ctype}

Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{fname}-%{src_ver}

%build
# don't use configure macro
./configure

%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

chmod 644 Copyright README* doc/*

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README* Copyright doc/*
%{_libdir}/aspell-%{aspell_ver}/*






%changelog
* Fri Jan 14 2011 dmorgan <dmorgan> 0.01.0-10.mga1
+ Revision: 17352
- Remove mandriva occurencies

  + ahmad <ahmad>
    - imported package aspell-ny


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.01.0-10mdv2011.0
+ Revision: 603450
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.01.0-9mdv2010.1
+ Revision: 518951
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.01.0-8mdv2010.0
+ Revision: 413093
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.01.0-7mdv2009.1
+ Revision: 350084
- 2009.1 rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.01.0-6mdv2009.0
+ Revision: 220436
- rebuild

* Sun Mar 09 2008 Anssi Hannula <anssi@mandriva.org> 0.01.0-5mdv2008.1
+ Revision: 182519
- provide enchant-dictionary

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.01.0-3mdv2007.0
+ Revision: 123345
- Import aspell-ny

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.01.0-3mdv2007.1
- use the mkrel macro
- disable debug packages

* Wed Feb 16 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 0.01.0-2mdk
- removed dependency on locales-ny (which isn't there yet)

* Fri Dec 03 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.01.0-1mdk
- first version

